#include <stdio.h>
#include <math.h>	
	int main(){
		long long v,pom;
		int br;
		scanf("%llu",&v);
		
		int i,k,cifre[3]={5,2,1};
		pom=v;
		i=0;
		br=0;
		while(pom > 0){
			pom=pom/10;
			i++;
		}	
		for(i;i>=0;i--)
			for(k=0;k<3;k++){
				while(cifre[k]*pow(10,i) <=v){
					v=v-cifre[k]*pow(10,i);
					br++;
				}		
			}
	
		printf("%d",br);
		return 0;
	}